import PIL.Image
import google.generativeai as genai
import os

genai.configure(api_key=os.getenv('GEMINI_API_KEY') or "YOUR KEY HERE")

img = PIL.Image.open('image.png')

model = genai.GenerativeModel('gemini-pro-vision')

response = model.generate_content(img)

print(response.text)

response = model.generate_content(["Write a short, engaging blog post based on this picture.", img], stream=False)
response.resolve()
print(response.text)